Name: rppppoek
Version: 0.40
Release: alt1
Summary: Roaring Penguin PPPoE Kontrol
Source0: %name-%version.tar.bz2
Source1: %name.ru
Patch0: %name-0.40-alt_desktopdir.diff
Patch1: %name-0.40-alt_iconsdir.diff
Patch2: %name-0.40-alt_executables.diff
Patch3: %name-0.40-alt_desktop.diff
Url: http://kde-apps.org/content/show.php/Roaring+Penguin+PPPoE+Kontrol?content=35471
Packager: Motsyo Gennadi <drool@altlinux.ru>
Group: Networking/Remote access
License: GPLv2

# Automatically added by buildreq on Wed Aug 29 2007 (-bi)
BuildRequires: ImageMagick gcc-c++ imake kdelibs-devel libXext-devel libXt-devel libqt3-devel xorg-cf-files

Requires: sudo rp-pppoe-client

%description
Roaring Penguin PPPoE Kontrol is a little
tool that docks to the KDE3 system tray.

It provides you with a simple contextmenu,
including entries to connect to your provider,
disconnect again and get your current dynamic
IP address, assigned to you by your provider.
The IP can also be copied to the clipboard.

Active traffic is visualized by a glowing
animation of the tray icon.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%__install -m 0644 %SOURCE1 po/ru.po
%__subst 's/\.la\>/.so/g' admin/acinclude.m4.in
# #%__subst 's/\(-Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g' admin/acinclude.m4.in

%build
make -f admin/Makefile.common
%configure
%make_build

%install
mkdir -p %buildroot/%_liconsdir %buildroot%_miconsdir %buildroot%_niconsdir
convert -resize 48x48 icons/hi22-action-disconnected.png %buildroot%_liconsdir/%name.png
convert -resize 32x32 icons/hi22-action-disconnected.png %buildroot%_niconsdir/%name.png
convert -resize 16x16 icons/hi22-action-disconnected.png %buildroot%_miconsdir/%name.png
%makeinstall

%find_lang --with-kde %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%_bindir/*
%_desktopdir/%name.desktop
%_datadir/icons/*/*/actions/*.png
%_liconsdir/%name.png
%_niconsdir/%name.png
%_miconsdir/%name.png

%changelog
* Tue Oct 16 2007 Motsyo Gennadi <drool@altlinux.ru> 0.40-alt1
- build for Daedalus/Sisyphus

* Mon Sep 03 2007 Motsyo Gennadi <drool@altlinux.ru> 0.40-alt0.M40.1
- initial build (M40)
- added russian translation
- create icon file
